<?php
/**
 * The template for displaying Archive pages
 *
 * Used to display archive-type pages if nothing more specific matches a query.
 * For example, puts together date-based pages if no date.php file exists.
 *
 * If you'd like to further customize these archive views, you may create a
 * new template file for each specific one. For example, Twenty Twelve already
 * has tag.php for Tag archives, category.php for Category archives, and
 * author.php for Author archives.
 *
 * @link http://codex.wordpress.org/Template_Hierarchy
 *
 * @package WordPress
 * @subpackage Twenty_Twelve
 * @since Twenty Twelve 1.0
 */

get_header(); ?>

<div class="row">
  <div class="sixteen columns wrapos">
    <?php if ( have_posts() ) : ?>
    <header class="entry-header">
      <h1 class="entry-title">
        <?php
					if ( is_day() ) :
						printf( __( 'Daily Archives: %s', 'twentytwelve' ), '<span>' . get_the_date() . '</span>' );
					elseif ( is_month() ) :
						printf( __( 'Monthly Archives: %s', 'twentytwelve' ), '<span>' . get_the_date( _x( 'F Y', 'monthly archives date format', 'twentytwelve' ) ) . '</span>' );
					elseif ( is_year() ) :
						printf( __( 'Yearly Archives: %s', 'twentytwelve' ), '<span>' . get_the_date( _x( 'Y', 'yearly archives date format', 'twentytwelve' ) ) . '</span>' );
					else :
						_e( 'Archives', 'twentytwelve' );
					endif;
				?>
      </h1>
    </header>
    <!-- .archive-header -->
    <?php $side_bar =  get_theme_options('show_sidebar'); 

if ($side_bar==true){
	$sidebar_rs = "eleven";
}else{
	$sidebar_rs = "sixteen";
}


$bgnmbrcolumns = get_theme_options('bg_columns_number');

switch ($bgnmbrcolumns){
	case "1":
	    $bgnmbrcolumns = "one";
		break;
	case "2":
	    $bgnmbrcolumns = "two";
		break;
	default:
	    $bgnmbrcolumns = "one";
		break;
}
?>
    <div class="<?php echo $sidebar_rs; ?> columns blogos">
      <ul class="<?php echo $bgnmbrcolumns; ?>_up tiles">
        <?php
			/* Start the Loop */
			while ( have_posts() ) : the_post();

				/* Include the post format-specific template for the content. If you want to
				 * this in a child theme then include a file called called content-___.php
				 * (where ___ is the post format) and that will be used instead.
				 */
				get_template_part( 'content-bl', get_post_format() );

			endwhile; ?>
      </ul>
      <?php if(function_exists('wp_page_numbers')) : wp_page_numbers(); endif; ?>
    </div>
    <?php if ($sidebar_rs=="eleven"){ ?>
    <div class="five columns sidos">
      <?php get_sidebar(); ?>
    </div>
    <?php } ?>
    <?php else : ?>
    <?php get_template_part( 'content', 'none' ); ?>
    <?php endif; ?>
  </div>
</div>
<?php get_footer(); ?>
