<?php
/**
 * The template for displaying Author Archive pages
 *
 * Used to display archive-type pages for posts by an author.
 *
 * @link http://codex.wordpress.org/Template_Hierarchy
 *
 * @package WordPress
 * @subpackage Twenty_Twelve
 * @since Twenty Twelve 1.0
 */

get_header(); ?>

<div class="row">
  <div class="sixteen columns wrapos">
    <?php if ( have_posts() ) : ?>
    <?php
				/* Queue the first post, that way we know
				 * what author we're dealing with (if that is the case).
				 *
				 * We reset this later so we can run the loop
				 * properly with a call to rewind_posts().
				 */
				the_post();
			?>
    <header class="entry-header">
      <h1 class="entry-title"><?php printf( __( 'Author Archives: %s', 'twentytwelve' ), '<span class="vcard"><a class="url fn n" href="' . esc_url( get_author_posts_url( get_the_author_meta( "ID" ) ) ) . '" title="' . esc_attr( get_the_author() ) . '" rel="me">' . get_the_author() . '</a></span>' ); ?></h1>
    </header>
    <!-- .archive-header -->
    
    <?php
				/* Since we called the_post() above, we need to
				 * rewind the loop back to the beginning that way
				 * we can run the loop properly, in full.
				 */
				rewind_posts();
			?>
    <?php // twentytwelve_content_nav( 'nav-above' ); ?>
    <?php
			// If a user has filled out their description, show a bio on their entries.
			if ( get_the_author_meta( 'description' ) ) : ?>
    <div class="thirteen columns push_one auth-arc-box">
      <div class="three columns auth-arc-pic">
        <?php
					/**
					 * Filter the author bio avatar size.
					 *
					 * @since Twenty Twelve 1.0
					 *
					 * @param int $size The height and width of the avatar in pixels.
					 */
					$author_bio_avatar_size = apply_filters( 'twentytwelve_author_bio_avatar_size', 75 );
					echo get_avatar( get_the_author_meta( 'user_email' ), $author_bio_avatar_size );
					?>
      </div>
      <!-- .author-avatar -->
      <div class="twelve columns auth-arc-dex">
        <h2><?php printf( __( 'About %s', 'twentytwelve' ), get_the_author() ); ?></h2>
        <p>
          <?php the_author_meta( 'description' ); ?>
        </p>
      </div>
      <!-- .author-description	--> 
    </div>
    <!-- .author-info -->
    <?php endif; ?>
    <?php $side_bar =  get_theme_options('show_sidebar'); 

if ($side_bar==true){
	$sidebar_rs = "eleven";
}else{
	$sidebar_rs = "sixteen";
}


$bgnmbrcolumns = get_theme_options('bg_columns_number');

switch ($bgnmbrcolumns){
	case "1":
	    $bgnmbrcolumns = "one";
		break;
	case "2":
	    $bgnmbrcolumns = "two";
		break;
	default:
	    $bgnmbrcolumns = "one";
		break;
}
?>
    <div class="<?php echo $sidebar_rs; ?> columns blogos">
      <ul class="<?php echo $bgnmbrcolumns; ?>_up tiles">
        <?php /* Start the Loop */ ?>
        <?php while ( have_posts() ) : the_post(); ?>
        <?php get_template_part( 'content-bl', get_post_format() ); ?>
        <?php endwhile; ?>
        <?php if(function_exists('wp_page_numbers')) : wp_page_numbers(); endif; ?>
        <?php else : ?>
        <?php get_template_part( 'content', 'none' ); ?>
        <?php endif; ?>
      </ul>
    </div>
    <?php if ($sidebar_rs=="eleven"){ ?>
    <div class="five columns sidos">
      <?php get_sidebar(); ?>
    </div>
    <?php } ?>
  </div>
</div>
<?php get_footer(); ?>
