<?php
/**
 * The template for displaying Category pages
 *
 * Used to display archive-type pages for posts in a category.
 *
 * @link http://codex.wordpress.org/Template_Hierarchy
 *
 * @package WordPress
 * @subpackage Twenty_Twelve
 * @since Twenty Twelve 1.0
 */

get_header(); ?>

<div class="row">
  <div class="sixteen columns wrapos">
    <?php if ( have_posts() ) : ?>
    <header class="entry-header">
      <h1 class="entry-title"><?php printf( __( 'Category Archives: %s', 'twentytwelve' ), '<span>' . single_cat_title( '', false ) . '</span>' ); ?></h1>
      <?php if ( category_description() ) : // Show an optional category description ?>
      <div class="archive-meta"><?php echo category_description(); ?></div>
      <?php endif; ?>
    </header>
    <!-- .archive-header -->
    <?php $side_bar =  get_theme_options('show_sidebar'); 

if ($side_bar==true){
	$sidebar_rs = "eleven";
}else{
	$sidebar_rs = "sixteen";
}


$bgnmbrcolumns = get_theme_options('bg_columns_number');

switch ($bgnmbrcolumns){
	case "1":
	    $bgnmbrcolumns = "one";
		break;
	case "2":
	    $bgnmbrcolumns = "two";
		break;
	default:
	    $bgnmbrcolumns = "one";
		break;
}
?>
    <div class="<?php echo $sidebar_rs; ?> columns blogos">
      <ul class="<?php echo $bgnmbrcolumns; ?>_up tiles">
        <?php
			/* Start the Loop */
			while ( have_posts() ) : the_post();

				/* Include the post format-specific template for the content. If you want to
				 * this in a child theme then include a file called called content-___.php
				 * (where ___ is the post format) and that will be used instead.
				 */
				get_template_part( 'content-bl', get_post_format() );

			endwhile; ?>
      </ul>
      <?php if(function_exists('wp_page_numbers')) : wp_page_numbers(); endif; ?>
    </div>
    <?php if ($sidebar_rs=="eleven"){ ?>
    <div class="five columns sidos">
      <?php get_sidebar(); ?>
    </div>
    <?php } ?>
    <?php else : ?>
    <?php endif; ?>
  </div>
</div>
<?php get_footer(); ?>
