<?php
/**
 * The default template for displaying content
 *
 * Used for both single and index/archive/search.
 *
 * @package WordPress
 * @subpackage Twenty_Twelve
 * @since Twenty Twelve 1.0
 */
?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
  <div class="sixteen columns">
    <h1>
      <?php the_title(); ?>
    </h1>
    <div class="entry_metos_sing">
      <?php twentytwelve_entry_meta(); ?>
    </div>
    <div class="sixteen columns" style="margin-left:0;">
      <?php the_post_thumbnail('full',array('class' => ' image ')); ?>
    </div>
    <div class="entry-content">
      <?php the_content(); ?>
    </div>
    <!-- .entry-content -->
    
    <footer class="entry-meta">
      <?php if ( is_singular() && get_the_author_meta( 'description' ) && is_multi_author() ) : // If a user has filled out their description and this is a multi-author blog, show a bio on their entries. ?>
      <div class="author-info">
        <div class="author-avatar">
          <?php
						/** This filter is documented in author.php */
						$author_bio_avatar_size = apply_filters( 'twentytwelve_author_bio_avatar_size', 68 );
						echo get_avatar( get_the_author_meta( 'user_email' ), $author_bio_avatar_size );
						?>
        </div>
        <!-- .author-avatar -->
        <div class="author-description">
          <h2><?php printf( __( 'About %s', 'twentytwelve' ), get_the_author() ); ?></h2>
          <p>
            <?php the_author_meta( 'description' ); ?>
          </p>
          <div class="author-link"> <a href="<?php echo esc_url( get_author_posts_url( get_the_author_meta( 'ID' ) ) ); ?>" rel="author"> <?php printf( __( 'View all posts by %s <span class="meta-nav">&rarr;</span>', 'twentytwelve' ), get_the_author() ); ?> </a> </div>
          <!-- .author-link	--> 
        </div>
        <!-- .author-description --> 
      </div>
      <!-- .author-info -->
      <?php endif; ?>
    </footer>
    <!-- .entry-meta --> 
  </div>
</article>
<!-- #post --> 
