<?php
/**
 * The Header template for our theme
 *
 * Displays all of the <head> section and everything up till <div id="main">
 *
 *  */
?>
<!DOCTYPE html>
<!--[if lt IE 7]> <html class="no-js ie6 oldie" <?php language_attributes(); ?>> <![endif]-->
<!--[if IE 7]>    <html class="no-js ie7 oldie" <?php language_attributes(); ?>> <![endif]-->
<!--[if IE 8]>    <html class="no-js ie8 oldie" <?php language_attributes(); ?>> <![endif]-->
<!--[if IE 9]>    <html class="no-js ie9" <?php language_attributes(); ?>> <![endif]-->
<!-- Consider adding an manifest.appcache: h5bp.com/d/Offline -->
<!--[if gt IE 9]><!-->

<html class="no-js" <?php language_attributes(); ?>>
<!--<![endif]-->

<head>
  <meta charset="<?php bloginfo( 'charset' ); ?>">
  <meta content="IE=edge,chrome=1" http-equiv="X-UA-Compatible">
  <meta content="width=device-width, initial-scale=1.0, maximum-scale=1" name="viewport">
  <link href="<?php echo get_template_directory_uri(); ?>/img/favicon.png" rel="shortcut icon" type="image/x-icon">

  <title><?php wp_title( '|', true, 'right' ); ?></title>
  <link href="http://gmpg.org/xfn/11" rel="profile">
  <link href="<?php bloginfo( 'pingback_url' ); ?>" rel="pingback"><?php // Loads HTML5 JavaScript file to add support for HTML5 elements in older IE versions. ?><!--[if lt IE 9]>
<script src="<?php echo get_template_directory_uri(); ?>/js/html5.js" type="text/javascript"></script>
<![endif]-->
  <?php wp_head(); ?>
</head>

<body>
  <div class="row">
    <div class="sixteen column"></div>
  </div>

  <div class="row">
    <div class="six columns logo">
      <a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home" title="<?php echo esc_attr( get_bloginfo( 'name', 'display' ) ); ?>"><img alt="" src="<?php echo __logo_url(); ?>"></a>
    </div>

    <div class="six columns push_four text-center siap">
      <?php $fb_link =  get_theme_options('facebook');
                $tweet = get_theme_options('twitter');
                $gplus = get_theme_options('gplus');
                $skype = get_theme_options('skyp');
                $pinterest = get_theme_options('pint');
                $tumblr = get_theme_options('tumblr');
                $linkedin = get_theme_options('linkedin');
                $vimeo = get_theme_options('vimeo');
                $flickr = get_theme_options('flickr');
                $dribble = get_theme_options('drible');
                $instagram = get_theme_options('instagram');
                $dropbox = get_theme_options('dropbox');
                $evernote = get_theme_options('evernote');
                $picasa = get_theme_options('picasa');
                $soundclo = get_theme_options('soundc');
                $behance = get_theme_options('behance');
          ?>

      <h4 class="follw">Follow Us On:</h4>

      <ul class="soc_baro">
        <?php if(!empty($gplus)){ echo '<li><a href="'. $gplus .'"><i class="icon-gplus-circled"></i></a></li>';} ?>
		<?php if(!empty($fb_link)){ echo '<li><a href="'. $fb_link .'"><i class="icon-facebook-circled"></i></a></li>';} ?>
		<?php if(!empty($tweet)){ echo '<li><a href="http://www.twitter.com/'. $tweet .'"><i class="icon-twitter-circled"></i></a></li>'; }?>
		<?php if(!empty($pinterest)){ echo '<li><a href="'. $pinterest .'"><i class="icon-pinterest-circled"></i></a></li>';} ?>
		<?php if(!empty($skype)){ echo '<li><a href="skype:'. $skype .'?call"><i class="icon-skype-circled"></i></a></li>';} ?>
		<?php if(!empty($tumblr)){ echo '<li><a href="'. $tumblr .'"><i class="icon-tumblr-circled"></i></a></li>';} ?>
		<?php if(!empty($linkedin)){ echo '<li><a href="'. $linkedin .'"><i class="icon-linkedin-circled"></i></a></li>';} ?>
		<?php if(!empty($vimeo)){ echo '<li><a href="'. $vimeo .'"><i class="icon-vimeo-circled"></i></a></li>';} ?>
		<?php if(!empty($flickr)){ echo '<li><a href="'. $flickr .'"><i class="icon-flickr-circled"></i></a></li>';} ?>
		<?php if(!empty($dribble)){ echo '<li><a href="'. $dribble .'"><i class="icon-dribbble-circled"></i></a></li>';} ?>
		<?php if(!empty($instagram)){ echo '<li><a href="'. $instagram .'"><i class="icon-instagram"></i></a></li>';} ?>
		<?php if(!empty($dropbox)){ echo '<li><a href="'. $dropbox .'"><i class="icon-dropbox"></i></a></li>';} ?>
		<?php if(!empty($evernote)){ echo '<li><a href="'. $evernote .'"><i class="icon-evernote"></i></a></li>';} ?>
		<?php if(!empty($picasa)){ echo '<li><a href="'. $picasa .'"><i class="icon-picasa"></i></a></li>';} ?>
		<?php if(!empty($soundclo)){ echo '<li><a href="'. $soundclo .'"><i class="icon-soundcloud"></i></a></li>';} ?>
		<?php if(!empty($behance)){ echo '<li><a href="'. $behance .'"><i class="icon-behance"></i></a></li>';} ?>
      </ul>
	  <?php $slogan = get_theme_options('slog_tag'); ?>

      <p class="para"><?php echo $slogan; ?></p>
    </div>
  </div>

  <div class="row">
    <div class="sixteen column"></div>
  </div>

  <div class="row">
    <div class="sixteen columns slidos">
      <div class="sixteen columns menuos">
        <div class="eleven columns">
          <div class="row navbar" id="nav1">
            <!-- Toggle for mobile navigation, targeting the <ul> -->
            <a class="toggle" href="#" gumby-trigger="#nav1 > ul"><i class="icon-menu"></i></a> <?php wp_nav_menu( array( 'theme_location' => 'primary', 'container' => 'false','walker' => new Gumby_Walker_Nav_Menu()) ); ?>
          </div><!--navbar-->
        </div>

        <div class="five columns searchos">
          <form action="<?php echo home_url('/')?>" method="get">
            <input id="search_field" name="s" placeholder="Search" type="text"> <input id="search-buttn" type="submit" value=" ">
          </form>
        </div>
      </div>

      <div class="clearrr"></div><?php if(is_front_page()){ ?>

      <div class="sixteen columns" style="margin-left:0;">
        <?php $slidtypeh = get_theme_options('slidertype'); 
              
              if ($slidtypeh==1){ ?>

        <div class="slider-wrapper">
          <div id="slider">
            <?php query_posts('showposts=-1&post_type=l-Slider');
                       while ( have_posts() ) : the_post(); ?>

            <div class="slide">
              <div class="six columns picwrap">
                <?php  the_post_thumbnail(); ?>
              </div>

              <div class="sli-content nine columns push_one">
                <?php $sli_extr_link = get_post_custom_values('_url'); ?>
                <a class="sli-head" href="<?php echo $sli_extr_link[0]; ?>" target="_blank"><?php the_title(); ?></a> 
				<?php the_content(); ?> 
                <a class="sli-btn" href="<?php echo $sli_extr_link[0]; ?>" target="_blank">Continue Reading</a>
              </div>
            </div><?php
                      endwhile;
                       wp_reset_query();
                      ?>
          </div>

          <div id="slider-direction-nav"></div>

          <div id="slider-control-nav"></div>
        </div><!--lean-->
        <?php }elseif ($slidtypeh==2){ ?>
<em></em>
        <div class="niv-sil-wrap">
          <div class="slider-wrapper theme-default">
            <div class="nivoSlider" id="slider">
              <?php query_posts('showposts=-1&post_type=n-Slider');
                         while ( have_posts() ) : the_post(); ?><?php  the_post_thumbnail(); ?><?php
                        endwhile;
                         wp_reset_query();
                        ?>
            </div>
          </div>
        </div><!--nivo-->
        <?php } ?>

        <div id="slider-botm"></div>
      </div><?php }?>
    </div>
  </div>
</body>
</html>