<?php

/* Testimonial Widget */
class KC_Widget_TabsBox extends WP_Widget { 
	function KC_Widget_TabsBox() {
		$widget_ops = array('description' => __('Display Tabber', 'kidsconsultant') );
		$control_ops = array( 'width' => 300, 'height' => 0, 'id_base' => 'tabber' );
		$this->WP_Widget( 'tabber', __('OrangeClock - Tabber Widget', 'kidsconsultant'), $widget_ops, $control_ops );
	}
	
	function widget($args, $instance) {
		extract($args);
		//$title = apply_filters('widget_title', $instance['title']);
		$show_items = $instance['show_items'];
		global $wpdb;

		// Output
		echo $before_widget;
		
		
		echo '<section class="tabs">';

		
		echo '<ul class="tab-nav">';
		echo '	<li class="active"><a href="#">Categories</a></li>';
		echo '	<li> <a href="#">Recent Posts</a></li>';
		echo '	<li><a href="#">Tags</a></li>';
		echo '</ul>';
		
		
		echo '<div class="tab-content active">'; 
		echo '<ul class="tabrcats">';
		wp_list_categories('orderby=name&title_li='); 
		echo '</ul>';
        echo '</div>';

        echo '<div class="tab-content">';
		query_posts('ignore_sticky_posts=1&showposts=3');				
		if (have_posts()):
 		echo '<ul class="tabrrcpost">';
		while (have_posts()):the_post();
			echo '<li>';
			if (has_post_thumbnail()){
				the_post_thumbnail('tabrpost');
			}else{
				echo '<img src="'; echo get_template_directory_uri(); echo '/img/tabber-no-image.png" />';
			}
			echo '<a href="'; the_permalink(); echo '">';the_title();echo '</a>';
			echo '<span>';the_time('M jS, Y'); echo ' / '; comments_number( '0 comments', 'one comment', '% comments' ); echo '</span>';
			echo '</li>';
		endwhile;
		echo '</ul>';
		endif;
		wp_reset_query();
        echo '</div>';		

        echo '<div class="tab-content">';
		echo '<ul>
		<li>';
		wp_tag_cloud( );
		echo '</li>
		</ul>';
        echo '</div>
 
 </section>';		
		
		echo $after_widget;
	}
	function update( $new_instance, $old_instance ) {  
		$instance = $old_instance; 
		
		$instance['title'] = strip_tags( $new_instance['title'] );
		$instance['show_items'] = strip_tags( $new_instance['show_items'] );

		return $instance;
	}
	// Settings form
	function form($instance) {
		$defaults = array( 'title' => 'Hot Stories', 'show_items' => '1' );
		$instance = wp_parse_args( (array) $instance, $defaults ); ?>
        
		<p>
			<label for="<?php echo $this->get_field_id( 'title' ); ?>"><?php _e('Widget Title', 'kidsconsultant');?></label>
			<input id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" value="<?php echo $instance['title']; ?>" style="width:100%;" />
		</p>
        <p>
			<label for="<?php echo $this->get_field_id( 'show_items' ); ?>"><?php _e('Number of Items', 'kidsconsultant');?></label><br />
            <input id="<?php echo $this->get_field_id( 'show_items' ); ?>" name="<?php echo $this->get_field_name( 'show_items' ); ?>" value="<?php echo $instance['show_items']; ?>" style="width:100%;" />
		</p>
    <?php
	}
}



class KC_Widget_Subscribe extends WP_Widget { 
	function KC_Widget_Subscribe() {
		$widget_ops = array('description' => __('Display Subscribe', 'OrangeClock') );
		$control_ops = array( 'width' => 300, 'height' => 350, 'id_base' => 'subscribe' );
		$this->WP_Widget( 'subscribe', __('OrangeClock - Subscribe Widget', 'kidsconsultant'), $widget_ops, $control_ops );
	}
	
	function widget($args, $instance) {
		extract($args);
		//$title = apply_filters('widget_title', $instance['title']);
		global $wpdb;
		$feed_url = get_theme_options('feedburner_url');
		$subs_text = get_theme_options('subs_bar_text');

		// Output
		echo $before_widget;
		
		echo '<div id="subscribe">';
		echo '<h4>Subscribe Now!</h4>';
        echo '<p>'; echo $subs_text;  echo '</p>';
	echo "<form action=\"http://feedburner.google.com/fb/a/mailverify\" method=\"post\" target=\"popupwindow\" onsubmit=\"window.open('http://feedburner.google.com/fb/a/mailverify?uri=";echo $feed_url; echo ", 'popupwindow', 'scrollbars=yes,width=550,height=520');return true\">";
        echo '<input type="text" id="subs_email" placeholder="Email" />';
        echo '<input type="submit" value="Submit" id="sub-btn" />';
		echo '<input type="hidden" value="'; echo $feed_url; echo'" name="uri"/>';
        echo '</div>';
			
		
		echo $after_widget;
	}
	
}



class KC_Widget_likebox extends WP_Widget { 
	function KC_Widget_likebox() {
		$widget_ops = array('description' => __('Facebook Likebox', 'OrangeClock') );
		$control_ops = array( 'width' => 300, 'height' => 350, 'id_base' => 'likebox' );
		$this->WP_Widget( 'likebox', __('OrangeClock - Facebook likebox', 'kidsconsultant'), $widget_ops, $control_ops );
	}
	
	function widget($args, $instance) {
		extract($args);
		//$title = apply_filters('widget_title', $instance['title']);
		global $wpdb;
		$fb_link_wid =  get_theme_options('facebook');

		// Output
		echo $before_widget;
		
		echo '<div id="fb_likebox">';
		echo '<iframe src="//www.facebook.com/plugins/likebox.php?href=';echo $fb_link_wid; echo '&amp;width=278&amp;height=290&amp;colorscheme=light&amp;show_faces=true&amp;header=true&amp;stream=false&amp;show_border=false" scrolling="no" frameborder="0" style="border:none; overflow:hidden; width:278px; height:290px;" allowTransparency="true"></iframe>';
        echo '</div>';
			
		
		echo $after_widget;
	}
	
}



function OE_Widget_init(){ 
	register_widget('KC_Widget_Subscribe');
	register_widget('KC_Widget_TabsBox');
	register_widget('KC_Widget_likebox');
	
}
add_action('widgets_init', 'OE_Widget_init');




?>